<?php
// +-----------------------------------------------------------------------+
// | Fun Citation - a Piwigo Plugin                                        |
// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Fun Citation
Version: auto
Description: Add a french quote to your pages
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=256
Author: Ruben ARNAUD
Author URI: http://photograph.piwigo.net/
*/

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function citation_header($page_banner)
{
  global $conf;

  $page_name = script_basename();
  if (! isset($conf['fun_citation_pages']))
  {
    $conf['fun_citation_pages'] = array
    (
      'admin' => false,
      'comments' => true,
      'identification' => true,
      'index' => true,
      'password' => true,
      'picture' => true,
      'popuphelp' => true,
      'profile' => true,
      'register' => true,
      'search' => true,
      'tags' => true,
    );
  }

  if (isset($conf['fun_citation_pages'][$page_name]) and $conf['fun_citation_pages'][$page_name])
  {
    $code_citation = '<script type="text/javascript" src="http://citations.hasarddujour.com/citation-hasard-du-jour.php?random"></script>';
    return $page_banner.$code_citation;
  }
  else
  {
    return $page_banner;
  }
}

add_event_handler('render_page_banner', 'citation_header');


?>
